//----------------------------------------------------------------------
// database.js
// Author: Bob Dondero
//----------------------------------------------------------------------

'use strict';

const sqlite3 = require('sqlite3').verbose();

//----------------------------------------------------------------------

function getBooks(author, callback) {
   let db = new sqlite3.Database('penny.sqlite', sqlite3.OPEN_READONLY);
   let stmt =
      'SELECT isbn, author, title FROM books WHERE author LIKE ?';
   db.all(stmt, [author + '%'],
      (err, data) => {db.close(); callback(err, data);}
   );
}

//----------------------------------------------------------------------

// For testing:

function writeRows(err, rows) {
   console.log('in writeRows');
   if (err)
      console.log(err.message);
   else
      console.log(rows);
}

function main() {
   try {
      getBooks('Kernighan', writeRows);
      getBooks('Sedgewick', writeRows);
      getBooks('Dondero', writeRows);
   }
   catch (err) {
      console.log(err.message);
   };
}

//----------------------------------------------------------------------

if (require.main === module)
   main();

//----------------------------------------------------------------------

module.exports = { getBooks };
